Delete messages by transactionId
Delete multiple messages from the Notifly platform using **transactionId** of triggered event. This API supports filtering by **channel** and delete all messages associated with the **transactionId**.
Delete multiple messages from the Notifly platform using transactionId of triggered event. This API supports filtering by channel and delete all messages associated with the transactionId.
Authorization
secretKey API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".
In: header
Path Parameters
Query Parameters
The channel of the message to be deleted
Value in
- "in_app"
- "email"
- "sms"
- "chat"
- "push"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/messages/transaction/507f1f77bcf86cd799439011"Delete a message DELETE
Delete a message entity from the Notifly platform by **messageId**. This action is irreversible. **messageId** is required and of mongodbId type.
Bulk create subscribers POST
Using this endpoint multiple subscribers can be created at once. The bulk API is limited to 500 subscribers per request.